# Step-by-Step Setup Guide

This guide walks you through the initial account setup, token generation, and connecting your first project to Seal Security.

## Account Creation & Token Generation

Follow these steps to access the platform and prepare your environment. If you already have a token, you can skip to the next section.

1. **Access the Invite:** Click on the **Sign in >** button in the Seal Security invite email you received.
2. **Log In:** Log in to the platform using your password or social login credentials.
3. **Start Onboarding:** We're starting the onboarding flow. Click **Next >** to begin.
4. **Generate Token:** First, you must generate a token to Seal's artifact server. This allows you to download our sealed versions.\
   ![Generate Token](/files/PavZ4q5NrXJse1vkrR0Y)
   1. **Generate:** Click on **Generate token**.
   2. **Copy:** Copy the newly generated token using the copy icon at the right of the text box.

      > **Important:** You will need this token later. While it should eventually be saved in a secure location (like a password manager or secret store), copy it now for immediate use in the next steps.
   3. **Continue:** Click **Next >**.
5. Click **Maybe later** to skip the GitHub integration.
6. **View Protection page:** You will land on the Protection screen.
   * **Status:** Since no projects are connected yet, we are not showing any results.
   * **Next Step:** We are now going to populate this data using the CLI. ![Empty Protection page](/files/Fgf0cjrcjNzbEzFu4thb)

## Configure the Artifact Server

To pull sealed versions, you must configure your environment to trust and prioritize Seal's repository. Choose the scenario that matches your infrastructure.

### Prerequisites

In all configurations below, you will need the following values:

* **`$SEAL_TOKEN`**: The Access Token you generated in the onboarding flow.
* **`$SEAL_PROJECT`**: Your Project ID (e.g., `my-first-project`). This is used for reporting usage.

### Configuration Steps:

Configure `pip` to check Seal as an **additional registry** (`extra-index-url`).

### Option 1: Command Line / CI

Use an environment variable to configure the extra index URL globally for the session.

```bash
export PIP_EXTRA_INDEX_URL=https://$SEAL_PROJECT:$SEAL_TOKEN@pypi.sealsecurity.io/simple
```

### Option 2: pip.conf (Global/User config)

Use an environment variable to configure the extra index URL globally for the session.

```ini
[global]
extra-index-url=https://$SEAL_PROJECT:$SEAL_TOKEN@pypi.sealsecurity.io/simple
```

### Option 3: requirements.txt

Add the following line to the top of your `requirements.txt` file.

```
--extra-index-url https://$SEAL_PROJECT:$SEAL_TOKEN@pypi.sealsecurity.io/simple
```

## Sealing a package

Once you have integrated the Seal artifact server into your pipeline, follow these steps to see the results.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sealsecurity.io/step-by-step-onboarding-guides/python_pip-no_scm-no_sca-other_ci-artifact_server_no_jfrog-keep_names.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
